<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class MaterialRequisition extends Model
{
    protected $table='material_requisition';

    public function products(){
        return $this->belongsTo(Products::class,'product_id')->withTrashed();
    }
    public function quotation(){
        return $this->belongsTo(Quotation::class,'quotation_id')->withTrashed();
    }
    public function store(){
        return $this->belongsTo(Store::class,'store_id')->withTrashed();
    }
    public function client(){
        return $this->belongsTo(Client::class,'client_id')->withTrashed();
    }
    public function requested_by(){
        return $this->belongsTo(User::class,'requested_by');
    }
}
